# Payloads

When a transaction is completed, Pretium sends two webhook notifications

#### Payment notification

When a transaction is completed by the user, our API automatically sends a webhook to the webhook URL configured on the merchant portal.

```
{
   "status": "COMPLETE",
   "order_id":"701cc1d3-01e",
   "message": "Success, payment received successfully!"
}

```

#### Merchant settlement

If the merchant has enabled automatic settlements, the payment will be automatically disbursed to their set mobile money or bank account, and our API will send a webhook to the webhook URL configured on the merchant portal.

```
{
   "status": "COMPLETE",
   "transaction_code":"7dced6e3-53bf-4dca-9fde-49b7e6121ec5",
   "receipt_number":"TL1QRBRFUD",
   "public_name":" Joe Doe",
   "message": "Transaction processed successfully."
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.checkout.pretium.africa/webhooks/payloads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
